import { GridTabulator } from '@genesislcap/grid-tabulator';
import { Options } from 'tabulator-tables';
/**
 * @tagname %%prefix%%-grid-tabulator
 */
export declare class RapidGridTabulator extends GridTabulator {
    /**
     * Sets default theme to Rapid
     * @override
     */
    theme: string;
    themeChanged(oldValue: string, newValue: string): void;
    /**
     * Gets the grid options
     */
    get gridOptions(): Options;
    /**
     * Handles extra RAPID configs and options
     * @override
     */
    set gridOptions(options: Options);
}
export declare const rapidGridTabulatorShadowOptions: ShadowRootInit;
export declare const rapidGridTabulatorDefaultConfig: {
    shadowOptions: any;
};
export declare const rapidGridTabulator: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    shadowOptions: any;
    baseName: string;
    template: import("@microsoft/fast-element").ViewTemplate<any, any>;
    styles: import("@microsoft/fast-element").ElementStyles;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    shadowOptions: any;
    baseName: string;
    template: import("@microsoft/fast-element").ViewTemplate<any, any>;
    styles: import("@microsoft/fast-element").ElementStyles;
}, typeof RapidGridTabulator>;
//# sourceMappingURL=grid-tabulator.d.ts.map